# WOK
TKWOK
WOKTools

# WOKTools_MapOfHAsciiString Class Reference

`#include <WOKTools_MapOfHAsciiString.hxx>`

Inheritance diagram for WOKTools_MapOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_MapOfHAsciiString (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKTools_MapOfHAsciiString & | Assign (const WOKTools_MapOfHAsciiString &Other)
WOKTools_MapOfHAsciiString & | operator= (const WOKTools_MapOfHAsciiString &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKTools_MapOfHAsciiString ()
Standard_EXPORT Standard_Boolean | Add (const Handle(TCollection_HAsciiString)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(TCollection_HAsciiString)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(TCollection_HAsciiString)&aKey)

## Private Member Functions

Standard_EXPORT | WOKTools_MapOfHAsciiString (const WOKTools_MapOfHAsciiString &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_MapOfHAsciiString::WOKTools_MapOfHAsciiString | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKTools_MapOfHAsciiString::~WOKTools_MapOfHAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT WOKTools_MapOfHAsciiString::WOKTools_MapOfHAsciiString | ( | const WOKTools_MapOfHAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKTools_MapOfHAsciiString::Add | ( | const Handle(TCollection_HAsciiString)& | aKey | ) |

Standard_EXPORT WOKTools_MapOfHAsciiString& WOKTools_MapOfHAsciiString::Assign | ( | const WOKTools_MapOfHAsciiString & | Other | ) |

Standard_EXPORT void WOKTools_MapOfHAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKTools_MapOfHAsciiString::Contains | ( | const Handle(TCollection_HAsciiString)& | aKey | ) | const

void WOKTools_MapOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKTools_MapOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKTools_MapOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

WOKTools_MapOfHAsciiString& WOKTools_MapOfHAsciiString::operator= | ( | const WOKTools_MapOfHAsciiString & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean WOKTools_MapOfHAsciiString::Remove | ( | const Handle(TCollection_HAsciiString)& | aKey | ) |

Standard_EXPORT void WOKTools_MapOfHAsciiString::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- WOKTools_MapOfHAsciiString.hxx